aMule does Not install / Software install does Not say what dependecies are Not met.

By juanpc2018 at 2021-07-18 • 0 collector • 23 pageviews

http://amule.org/

tar.xz

https://sourceforge.net/projects/amule/files/aMule/

pre compiled for Linux:

https://pkgs.org/search/?q=amule


No precompiled binary Debian, Nor Ubuntu .deb works.

tested

amd64

from Ubuntu 18 to 21

Debian 9 to 11 + sid

2.3.3.tar.xz


Software install does Not say what dependencies are Not met.


tar.7z does Nothing, crash.


tar.bz2

tar.gz

extract to folder.


$ ./configure

wxWidgets 2.8 error Not found.

solved installing;

wx3.0-i18n

wxtools

python-wxgtk

libwxgtk3.0-dev

libgtk-dev

libgtx

libupnp 13 18

libupnp-dev


Now: configure: error:
Could not find crypto++ installation or sources.


$./configure --prefix=/home/me/amule/bin --enable-debug --enable-optimize --with-denoise-level=3 --enable-upnp --enable-geoip --enable-nls --enable-amule-gui --enable-amule-daemon --enable-amulecmd --enable-webserver --enable-alcc --enable-alc --enable-cas --enable-wxcas --enable-mmap --with-wxdir=/home/me/amule/wx/build --with-crypto-prefix=/home/me/amule/cryptopp


error gd-lib

error GeoIP


installed both:

still same error.


---

http://wiki.amule.org/wiki/Compile        "How to compile and install aMule"

http://wiki.amule.org/wiki/HowTo_Compile_In_Ubuntu

http://wiki.amule.org/wiki/HowTo_Compile_In_Debian

http://www.wxwidgets.org/downloads/


No SNAP

https://snapcraft.io/search?q=amule

Requires Login

Log in
Information Bar
nice car
Loading...